Package org.optaplanner.core.impl.constructionheuristic.placer

## Class QueuedValuePlacer<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer<Solution_>
  - - org.optaplanner.core.impl.constructionheuristic.placer.QueuedValuePlacer<Solution_>

- All Implemented Interfaces:
    `Iterable<Placement<Solution_>>`, `EventListener`, `EntityPlacer<Solution_>`, `PhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`

      public class QueuedValuePlacer<Solution_>
      extends AbstractEntityPlacer<Solution_>
      implements EntityPlacer<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MoveSelector<Solution_>` | `moveSelector` |
    `protected EntityIndependentValueSelector<Solution_>` | `valueSelector` |

    - ### Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `logger, phaseLifecycleSupport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueuedValuePlacer​(EntityIndependentValueSelector<Solution_> valueSelector, MoveSelector<Solution_> moveSelector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<Placement<Solution_>>` | `iterator()` |

    - ### Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

      `phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### valueSelector

          protected final EntityIndependentValueSelector<Solution_> valueSelector

    - #### moveSelector

          protected final MoveSelector<Solution_> moveSelector

  - ### Constructor Detail

    - #### QueuedValuePlacer

          public QueuedValuePlacer​(EntityIndependentValueSelector<Solution_> valueSelector,
                                   MoveSelector<Solution_> moveSelector)

  - ### Method Detail

    - #### iterator

          public Iterator<Placement<Solution_>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Solution_>`